Bug 85860 - Cannot view or download attachments.
Cannot view or download attachments.
Product: Red Hat Linux
Classification: Retired
Component: squirrelmail (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Gary Benson
: 86043 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-03-09 12:50 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-24 16:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-03-09 12:50:09 EST
Description of problem: 
Viewing a message with attachments does not show the attachments, even if the 
option to view attachments inline is selected, specifically selected the view attachment 
link also does not display the attachment.  Also, trying to download an attachment by 
clicking on the download link results in a parse error on line 337 of 
/usr/share/squirrelmail/src/download.php.  A quick view of this file reveals a simple 
bracketing error (I think). 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1. Install squirrelmail, view a message with an image attachment (gif, for example), the 
message is not displayed inline even if this option has been selected. 
2. Click on the view link beside the attachment at the bottom of the message, the 
resulting page dose not display the attachment as expected. 
3. Click on the download link to save the attachment to your computer, a parse error 
occurs on line 337 of /usr/share/squirrelmail/src/download.php. 
Actual results: 
As above 
Expected results: 
The attachment should be displayed when view is selected. The user should be 
prompted with a save as dialog when download is selected. 
Additional info: 
A patch to fix the download option is included here: 
*** /usr/share/squirrelmail/src/download.php.old        2003-03-09 
17:31:24.000000000 +0000 
--- /usr/share/squirrelmail/src/download.php    2003-03-09 17:19:49.000000000 
*** 334,340 **** 
          $suffix = $type1; 
!     $filename = 'untitled' . strip_tags($passed_ent_id) .$suffix); 
--- 334,340 ---- 
          $suffix = $type1; 
!     $filename = 'untitled' . strip_tags($passed_ent_id) .$suffix; 
Comment 1 Gary Benson 2003-03-10 04:41:16 EST

*** This bug has been marked as a duplicate of 82600 ***
Comment 2 Gary Benson 2003-03-13 04:36:45 EST
Use 1.2.10-4 from rawhide which fixes this problem.
Comment 3 Gary Benson 2003-03-13 04:37:05 EST
*** Bug 86043 has been marked as a duplicate of this bug. ***
Comment 4 Jim Mikles 2003-03-20 13:56:56 EST
The download.php file in /usr/share/squirrelmail/src is damaged. The corredt
file can be extracted from the squirrelmail-1.2.11.tar.gz available at
squirrelmail.org.  The rpm file should be rebuilt!
Comment 5 Graham Freeman 2003-03-31 17:49:30 EST
I'm having the exact same problem, whether the attachment is a multimegabyte PDF
or a 760-byte text file.

This is a disturbingly glaring error, and I'm surprised it got by QA.  File
attachments are an everyday part of using e-mail for many, many people.

When will a fix be issued?

-Graham Freeman

Comment 6 Graham Freeman 2003-03-31 17:51:18 EST
Clarification of my question:  When will a fix be issued via RHN?  That's why I
pay my subscription money, after all.

-Graham Freeman
Comment 7 Gary Benson 2003-04-01 03:51:52 EST
A fix will be issued over RHN at some stage.
Comment 8 Mark J. Cox (Product Security) 2003-04-24 16:36:58 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.